<? $this->headScript()
		->appendFile(_st('overlay.js'), 'text/javascript')
		->appendFile(_st('Autocompleter.js'), 'text/javascript')
		->appendFile(_st('escort-reviews.js'), 'text/javascript')
		->appendFile(_st('agencies-reviews.js'), 'text/javascript')
		->appendScript('Cubix.Rev.lng = "' . Cubix_I18n::getLang() . '"');

$alph = array(
	'A' => 'A', 'B' => 'B', 'C' => 'C', 'D' => 'D', 'E' => 'E', 'F' => 'F', 'G' => 'G', 'H' => 'H', 'I' => 'I', 'J' => 'J', 'K' => 'K', 'L' => 'L', 'M' => 'M',
	'N' => 'N', 'O' => 'O', 'P' => 'P', 'Q' => 'Q', 'R' => 'R', 'S' => 'S', 'T' => 'T', 'U' => 'U', 'V' => 'V', 'W' => 'W', 'X' => 'X', 'Y' => 'Y', 'Z' => 'Z'
);
$ags = $this->ags;
?>

<link href="<?= _st('reviews.css') ?>" media="screen" rel="stylesheet" type="text/css" />

<?php $config = Zend_Registry::get('reviews_config'); ?>
<? if ( ! $this->ajax ): ?>
<div class="i">
	<div id="r-top">
		<div class="search">
			<form>
				<div class="fleft item">
					<label for="f_name"><?= $this->t('name') ?>:</label>
					<input type="text" id="f_name" name="name" value="" />
				</div>
				
				<div class="fleft item">
					<label for="r_country"><?= $this->t('choose_your_country') ?>:</label>
					<? $model = new Cubix_Geography_Countries() ?>
					<select name="r_country" id="r_country" style="width: 150px;">
						<option value=""><?= $this->t('country') ?></option>
						<?php foreach ($model->ajaxGetAll(false) as $country): ?>
							<option value="<?= $country->id ?>"><?= $country->title ?>&nbsp;&nbsp;</option>
						<?php endforeach; ?>
					</select>
				</div>

				<div class="fleft item" style="margin-top: 9px;">
					<input type="button" value="<?= $this->t('search') ?>" id="f_search_agencies" />
				</div>

				<div class="clear"></div>

				<div class="fleft item" style="margin-top: 10px;">
					<span class="strong">
						<? foreach ($alph as $k => $v): ?>
						<a href="#<?= $k ?>" style="margin-right: 7px;" class="alph-ag"><?= $v ?></a>
						<? endforeach ;?>
					</span>

				</div>

				<div class="clear"></div>
			</form>
		</div>

		<div class="clear"></div>
	</div>

	<div class="rcol">
		<div class="guide-content ajax">
<? endif; ?>
			<input type="hidden" name="page" value="<?= $this->page ?>" />
			<input type="hidden" name="ord_dir" value="<?= $this->ord_dir ?>" />
			<input type="hidden" name="ord_field" value="<?= $this->ord_field ?>" />
			<table cellspacing="0" cellpadding="0" class="tableData" style="width: 100%;">
				<tr>
					<td colspan="8" align="right"><?= $this->t('over_count_agencies', array('count' => $this->count)) ?></td>
				</tr>
				<tr class="tableHeader">					
					<th class="left"><?= $this->t('name') ?></th>
					<th><?= $this->t('escorts') ?></th>
					<th class="left"><?= $this->t('country') ?></th>
				</tr>
				<?php foreach ($this->items as $item): ?>
					<tr class="center">
						<td class="left"><a href="<?= $this->getLink('agency', array('name' => $item['agency_name'])) ?>"><?= $item['agency_name'] ?></a></td>
						<td><?= $ags[$item['id']] ?></td>
						<td class="left"><?= $item['country_title'] ?></td>
					</tr>
				<?php endforeach; ?>
			</table>

			<? $pages_count = ceil($this->count / $config['perPage']); ?>
			<? if( $pages_count != 1 ): ?>
				<p>
					<? $pages = $this->paging($this->count, $this->page, $config['perPage']); ?>
					<? if ( 1 < $this->page): ?>
					<a class="prev" href="<?= $this->getLink('agencies-reviews', array('page' => ($this->page == 2) ? null : $this->page - 1, 'country_id' => $this->country_id, 'name' => $this->name)) ?>" onclick="return Cubix.Rev.Load(this)"></a>
					<? endif ?>

					<? foreach ( $pages as $page ): ?>

						<? if ( $this->page == $page ): ?>
						<span><?= $page ?></span>
						<? else: ?>
						<a class="p" href="<?= $this->getLink('agencies-reviews', array('page' => ($page == 1) ? null : $page, 'country_id' => $this->country_id, 'name' => $this->name)) ?>" onclick="return Cubix.Rev.Load(this)"><?= $page ?></a>
						<? endif ?>

					<? endforeach ?>

					<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
					...
					<a class="p" href="<?= $this->getLink('agencies-reviews', array('page' => $pages_count, 'country_id' => $this->country_id, 'name' => $this->name)) ?>" onclick="return Cubix.Rev.Load(this)"><?= $pages_count ?></a>
					<? endif; ?>

					<? if ( $pages_count > $this->page): ?>
					<a class="next" href="<?= $this->getLink('agencies-reviews', array('page' => $this->page + 1, 'country_id' => $this->country_id, 'name' => $this->name)) ?>" onclick="return Cubix.Rev.Load(this)"></a>
					<? endif ?>
				</p>
			<? endif; ?>
<? if ( ! $this->ajax ): ?>
		</div>
	</div>
</div>
<? endif; ?>